about summary refs log tree commit diff
path: root/tests/fallback.sh
diff options
context:
space:
mode:
authorShea Levy <shea@shealevy.com>2011-11-06T00·13+0000
committerShea Levy <shea@shealevy.com>2011-11-06T00·13+0000
commit2721e9f56f92f5bd630dcbb0104fc56159cb28d4 (patch)
treef46ac1a8807b81cc54d176e8fb72915aa057f0ac /tests/fallback.sh
parentbffe35acedafcd7c7237cb1415798362bff8a180 (diff)
parenta6a3f3a8c26fdd6900880c13e924e6879d6c714c (diff)
Merge from trunk
Diffstat (limited to 'tests/fallback.sh')
-rw-r--r--tests/fallback.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/fallback.sh b/tests/fallback.sh
index 24889a452881..f3a6b50515bf 100644
--- a/tests/fallback.sh
+++ b/tests/fallback.sh
@@ -2,19 +2,19 @@ source common.sh
 
 clearStore
 
-drvPath=$($nixinstantiate simple.nix)
+drvPath=$(nix-instantiate simple.nix)
 echo "derivation is $drvPath"
 
-outPath=$($nixstore -q --fallback "$drvPath")
+outPath=$(nix-store -q --fallback "$drvPath")
 echo "output path is $outPath"
 
 # Build with a substitute that fails.  This should fail.
 export NIX_SUBSTITUTERS=$(pwd)/substituter2.sh
-if $nixstore -r "$drvPath"; then echo unexpected fallback; exit 1; fi
+if nix-store -r "$drvPath"; then echo unexpected fallback; exit 1; fi
 
 # Build with a substitute that fails.  This should fall back to a source build.
 export NIX_SUBSTITUTERS=$(pwd)/substituter2.sh
-$nixstore -r --fallback "$drvPath"
+nix-store -r --fallback "$drvPath"
 
 text=$(cat "$outPath"/hello)
 if test "$text" != "Hello World!"; then exit 1; fi